// @ts-nocheck
import {isNumeric} from '../isNumeric'
import {isDef} from '../isDef'
/**
 * 給壹個值添加單位（像素 px）
 * @param value 要添加單位的值，可以是字符串或數字
 * @returns 添加了單位的值，如果值為 null 則返回 null
 */

// #ifndef APP-IOS || APP-ANDROID
export function addUnit(value?: string | number): string | null {
  if (!isDef(value)) {
    return null;
  }
  value = String(value); // 將值轉換為字符串
  // 如果值是數字，則在後面添加單位 "px"，否則保持原始值
  return isNumeric(value) ? `${value}px` : value;
}
// #endif


// #ifdef APP-IOS || APP-ANDROID
function addUnit(value: string): string
function addUnit(value: number): string
function addUnit(value: any|null): string|null  {
  if (!isDef(value)) {
    return null;
  }
  value = `${value}` //value.toString(); // 將值轉換為字符串

  // 如果值是數字，則在後面添加單位 "px"，否則保持原始值
  return isNumeric(value) ? `${value}px` : value;
}
export {addUnit}
// #endif


// console.log(addUnit(100)); // 輸出: "100px"
// console.log(addUnit("200")); // 輸出: "200px"
// console.log(addUnit("300px")); // 輸出: "300px"（已經包含單位）
// console.log(addUnit()); // 輸出: undefined（值為 undefined）
// console.log(addUnit(null)); // 輸出: undefined（值為 null）